DROP TABLE DETALLEFACTURA IF EXISTS ;
DROP TABLE FACTURA IF EXISTS ;
DROP TABLE PRODUCTO IF EXISTS ;
DROP TABLE CLIENTE IF EXISTS ;


CREATE TABLE CLIENTE(
ID bigint auto_increment,
NOMBRES VARCHAR (100),
APELLIDOS VARCHAR (100),
RAZONSOCIAL VARCHAR (250),
CORREO VARCHAR (250) NOT NULL,
DIRECCION VARCHAR (250) NOT NULL,
TELEFONO VARCHAR (10) NOT NULL,
TIPOIDENTIFICACION VARCHAR(1) NOT NULL,
IDENTIFICACION VARCHAR (13) NOT NULL
);
ALTER TABLE CLIENTE ADD PRIMARY KEY (ID);

CREATE TABLE FACTURA(
ID bigint auto_increment,
CLIENTE_ID INT NOT NULL,
SUBTOTAL NUMERIC(8,2) NOT NULL,
TOTALPAGAR NUMERIC(8,2) NOT NULL,
IVA NUMERIC(8,2) NOT NULL,
ESTADO INT NOT NULL
);
ALTER TABLE FACTURA ADD PRIMARY KEY (ID);
ALTER TABLE FACTURA ADD FOREIGN KEY (CLIENTE_ID) REFERENCES CLIENTE(ID);

CREATE TABLE PRODUCTO (
ID bigint auto_increment,
DESCRIPCION VARCHAR (500) NOT NULL,
PRESENTACION VARCHAR (100) NOT NULL,
PRECIOCOMPRA NUMERIC(8,2) NOT NULL,
PROVEEDOR VARCHAR (500) NOT NULL,
STOCK VARCHAR (50) NOT NULL
);
ALTER TABLE PRODUCTO ADD PRIMARY KEY (ID);

CREATE TABLE DETALLEFACTURA(
ID bigint auto_increment,
FACTURA_ID INT NOT NULL,
PRODUCTO_ID INT NOT NULL,
CANTIDAD INT NOT NULL,
PRECIOUNITARIO NUMERIC(8,2) NOT NULL,
DESCUENTO NUMERIC(8,2) NOT NULL,
PRECIOTOTAL NUMERIC(8,2) NOT NULL,
ESTADO INT NOT NULL
);
ALTER TABLE DETALLEFACTURA ADD PRIMARY KEY (ID);
ALTER TABLE DETALLEFACTURA ADD FOREIGN KEY (FACTURA_ID) REFERENCES FACTURA(ID);
ALTER TABLE DETALLEFACTURA ADD FOREIGN KEY (PRODUCTO_ID) REFERENCES PRODUCTO(ID);